Package Gnumed :: Package business :: Module gmExportTray :: Class cExportTray |
[frames] | no frames]

# Class cExportTray

source code

    object --+
             |
            cExportTray

Instance Methods
__init__(self, directory) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
add_file(self, filename=None, description=None, remove_source_file=False) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| items
| filenames
Inherited from `object`: `__class__`

Method Details

### __init__(self, directory) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

Property Details

### items Get Method: _get_tray_items(self) Set Method: unreachable(x)

### filenames Get Method: _get_filenames(self) Set Method: unreachable(x)